Subject: Re: bug#37415: Asserting failure setting frame parameters to non-fixnum values in early-init.el

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Sep 2019 15:31:12 +0300

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Wed, 18 Sep 2019 09:45:59 +0200
> 
>  >> lisp.h:1231: Emacs fatal error: assertion failed: FIXNUMP (a)
>  >
>  > Is this use case important enough to support?  IOW, would just
>  > signaling an error do the job here?  If not, please explain why did
>  > you need to set default-frame-alist in the early-init file.
> 
> Wasn't setting 'default-frame-alist' (or 'initial-frame-alist') one of
> the major motivations for adding the early-init file feature?

No.  the main motivation was to be able to set package.el related
variables.

> IIRC it's used to suppress temporarily showing the initial frame at
> an unwanted position or with unwanted size.  So IMHO this should
> never fail.

Feel free to fix it, if it's practical.  I chimed in after hearing
nothing from you for a few days ;-)